Acer Aspire 5920 Fn+F2 not mapped

Bug #637695 reported by RussianNeuroMancer on 2010-09-14
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Medium
Martin Pitt

Bug Description

Binary package hint: udev

Fn+F2 - recognized by xev:
KeyPress event, serial 34, synthetic NO, window 0x5a00001,
    root 0x15a, subw 0x0, time 4348643, (604,290), root:(606,313),
    state 0x0, keycode 149 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False
KeyRelease event, serial 34, synthetic NO, window 0x5a00001,
    root 0x15a, subw 0x0, time 4348759, (604,290), root:(606,313),
    state 0x0, keycode 149 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

Probably it's should generate KEY_CONFIG scancode, and must launch system settings in KDE (systemsettings -caption "%c" %i) and Gnome Control Center in Gnome (gnome-control-center)

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: udev 162-1
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Uname: Linux 2.6.35-20-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Tue Sep 14 09:57:51 2010
InstallationMedia: Kubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427)
MachineType: Acer, inc. Aspire 5920G
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-20-generic root=UUID=6bfb964e-41af-4607-86c2-54fe0b1c1e4f ro quiet splash
ProcEnviron:
 LANGUAGE=
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
SourcePackage: udev
dmi.bios.date: 06/18/2008
dmi.bios.vendor: Acer
dmi.bios.version: v1.3813
dmi.board.name: Chapala
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: Acer, Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrv1.3813:bd06/18/2008:svnAcer,inc.:pnAspire5920G:pvrNotApplicable:rvnAcer,Inc.:rnChapala:rvrNotApplicable:cvnAcer,Inc.:ct1:cvrN/A:
dmi.product.name: Aspire 5920G
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.

description: updated
description: updated
description: updated

Also there is hardware Acer Arcade button above the Acer MediaTouch sensors buttons, and right of the Del and Home buttons:
http://tech2.in.com/media/images/2008/Feb/img_47811_acer_aspire_5920_7.jpg

In Windows this button launch Acer Arcade or Acer Arcade Deluxe application - it's media center like XBMC.
At this moment this button recodgnized by X.org like XF85Launch2.
Then maybe better (and more right) to reassign this button to KEY_MEDIA scancode?

> XF85Launch2
XF86Launch2, sure.

description: updated
Martin Pitt (pitti) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Please exercise the steps at https://wiki.ubuntu.com/Hotkeys/Troubleshooting to determine at which level your hotkey problems occur, and attach the collected information. Most probably the keys will produce an unknown or wrong key code with the "keymap" tool, in which case you need to follow /usr/share/doc/udev/README.keymap.txt.gz to determine the scan code - key code mapping for the broken/missing keys.

Thank you!

Changed in udev (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for udev (Ubuntu) because there has been no activity for 60 days.]

Changed in udev (Ubuntu):
status: Incomplete → Expired
description: updated
description: updated

Item 1, Item 2 and Item 5 by mistake assigned to nvidia-graphics-drivers, but it's more likely kubuntu-default-settings, like Item 3.

Looks like Item 4 include correction udev rules.

Item 6 is KDE bug. This bug is fixed in KDE 4.5. No issue anymore.

Item 7 scancode for Euro and Dollar buttons:
scan code: 0xB3 key code: euro
scan code: 0xB4 key code: dollar

I move request from commentary #2 to description. Now it's Item 8.
Scancode of Acer Arcade button:
scan code: 0x92 key code: prog2

Looks like problem with Item 9 and Item 10 because system recognize Acer MediaTouch like typical Synaptics Touchpad. How can I help solve this issue?

Changed in udev (Ubuntu):
status: Expired → New
Martin Pitt (pitti) wrote :

> 4. Fn+F2

What should be the meaning of this key, i. e. what's written on it? What it its scancode?

> 7. "Euro" and "Dollar" buttons not recognized by xev.

Known X.org limitation to key codes < 256 (bug 313514).

> 8. Please reassign Acer Arcade button from XF85Launch2 to KEY_MEDIA

Committed upstream in udev (commit ID 7ae8a463bef)

> 9. Play/Pause button recognized like KEY_SCROLLUP and Stop button recognized like KEY_SCROLLDOWN.

Do you actually get key events in keymap -i if you press those keys? If so, we can just fix them. Whether the device is recognized as touchpad or keyboard doesn't actually matter for this particular issue (although it's still wrong, of course).

> 10. Previous and Next buttons not recognized by xev.

KEY_NEXT/KEY_PREV are again >= 256 and thus cannot be used in X.org. (again bug 313514).

Changed in udev (Ubuntu):
status: New → Incomplete

> > 4. Fn+F2
> What should be the meaning of this key, i. e. what's written on it? What it its scancode?
Follow documentation it's should run Acer eSettings. Then I think it's will be ok if Fn+F2 will run KDE System Settings / Gnome Control Center.

> Committed upstream in udev (commit ID 7ae8a463bef)
Thank you!

> Do you actually get key events in keymap -i if you press those keys?
I try all 12 events, but there is no any reaction for this two buttons on all events.
It's recognized by xev, maybe it's help:

Play/Pause button:
ButtonPress event, serial 31, synthetic NO, window 0x4e00001,
    root 0x15a, subw 0x0, time 23877291, (92,78), root:(94,101),
    state 0x0, button 4, same_screen YES

ButtonRelease event, serial 31, synthetic NO, window 0x4e00001,
    root 0x15a, subw 0x0, time 23877376, (92,78), root:(94,101),
    state 0x800, button 4, same_screen YES

Stop button:
ButtonPress event, serial 31, synthetic NO, window 0x4e00001,
    root 0x15a, subw 0x0, time 23879242, (92,78), root:(94,101),
    state 0x0, button 5, same_screen YES

ButtonRelease event, serial 31, synthetic NO, window 0x4e00001,
    root 0x15a, subw 0x0, time 23879278, (92,78), root:(94,101),
    state 0x1000, button 5, same_screen YES

Changed in udev (Ubuntu):
status: Incomplete → New
Martin Pitt (pitti) wrote :

> > 4. Fn+F2
> > What should be the meaning of this key, i. e. what's written on it? What it its scancode?
> Follow documentation it's should run Acer eSettings.

This is still missing the scan code for this key.

Jeremy Foshee (jeremyfoshee) wrote :

Hi RussianNeuroMancer,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 167-0ubuntu1

---------------
udev (167-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Drop v4l1 code, as current kernels don't ship that any more.
    - Lots of bug fixes.
    - Lots of changes to systemd integration (does not affect Ubuntu package).
    - Use /run/udev/ if possible and fall back to /dev/.udev/ (does not affect
      current Ubuntu, as we don't have a /run directory).
    - Some keymap updates for Acer and MSI laptops. (LP: #637695)
  * debian/libudev0.symbols: Add two new symbols from new version.
 -- Martin Pitt <email address hidden> Mon, 04 Apr 2011 11:26:08 +0200

Changed in udev (Ubuntu):
status: New → Fix Released

Sorry for late anwer.

> This is still missing the scan code for this key.
Scancode for Item 2 Fn+F2 "Settings" button: 0xA6, keycode: setup.

Changed in udev (Ubuntu):
status: Fix Released → New
Martin Pitt (pitti) wrote :

> Scancode for Item 2 Fn+F2 "Settings" button: 0xA6, keycode: setup.

Committed to udev upstream master, thanks!

Changed in udev (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 175-0ubuntu1

---------------
udev (175-0ubuntu1) precise; urgency=low

  [ Loïc Minier ]
  * Update Vcs fields for precise.

  [ Steve Langasek ]
  * debian/udev.initramfs-hook: we aren't using pkill anymore, so don't put
    it in the initramfs.

  [ Martin Pitt ]
  * Unapply patches, they are not meant to be applied in the bzr branch.
  * New upstream releases 174 and 175:
    - Daemon moved to /lib/udev/udevd
    - path_id, usb_id, input_id tools are built-in commands now
    - fusectl filesystem is no longer mounted directly from udev
    - The long deprecated keys: SYSFS=, ID=, BUS= have been removed
    - The udev control socket is now created in /run/udev/control
    - The rules to create persistent network interface and cdrom link
      rules automatically in /etc/udev/rules.d/ have been disabled by
      default.
    - Support for 'udevadm trigger --type=failed, and the
      RUN{fail_event_on_error} attribute was removed.
    - Various keymap fixes (LP: #606599, #637695, #696671, #763525, #770680,
      LP: #795694)
    - Unbreak findkeyboards (LP: #881158)
    - Lots of bug fixes.
  * debian/rules: Explicitly enable persistent net/cdrom rule generator by
    default. Upstream default changed, but this seems too much a change for
    12.04 LTS.
  * Drop move-input_id-to-default-rules.patch, race-condition-on-exit: Applied
    upstream.
  * jack-detection.patch: Port to new upstream version.
  * load-fbcon.patch, use_run_tmpfs: Unfuzz.
  * debian/udev.install, debian/udev-udeb.install, debian/udev.initramfs-hook,
    debian/udev.initramfs-top, debian/udev.installer-startup,
    debian/udev.udev-finish.init, debian/udev.upstart: Update to changed
    location of udevd (/sbin → /lib/udev) and the three now builtin _id
    helpers.
  * debian/libudev0.symbols: Add new symbol from this release.
 -- Martin Pitt <email address hidden> Thu, 10 Nov 2011 08:49:07 +0100

Changed in udev (Ubuntu):
status: Fix Committed → Fix Released

Jeremy, tested with Oneiric and Linux 3.1

Items 9 and 10 is still not fixed.

Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) on 2011-11-19
Changed in linux (Ubuntu):
status: New → Confirmed

RussianNeuroMancer, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-3813
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete

> We were wondering if this is still an issue?
There is probably no more issues on kernel side, all buttons is recognized now (including item 10) but Item 7 (Euro and Dollar) is waiting for Mir and Wayland to be properly assigned.

Because of issue with Item 4 I reopen udev task (and reassign it to systemd, since as I understand udev tasks now belongs to systemd).

Item 4: Fn+F2 recognition is broken now (recognized as NoSymbol). Info about Fn+F2 in commentary #10 and scancode in #14.

Item 9 & 10: all buttons on Acer MediaTouch is now recognized, but MediaTouch is still detected as touchpad (second SynPS/2 Synaptics TouchPad device in xinput list) so no info from keymap utility. Is there anything that can be done about Acer MediaTouch buttons to make it works out of the box? To what package issue with MediaTouch belongs to?

affects: udev (Ubuntu) → systemd (Ubuntu)
Changed in systemd (Ubuntu):
status: Fix Released → New
Changed in linux (Ubuntu):
status: Incomplete → Fix Released

RussianNeuroMancer, the Bug Description is written in a "catch all format" that would be frowned upon up and downstream. Instead, let us focus on one issue per bug report, so that each issue may be focused on individually, and routed to the correct group for fixing.

Hence, this bug report will only focus on issue #4. Regarding all the others, please continue to pursue fixes in the bugs already generated, and feel free to create a new report, one per issue, for those not having a report.

Regarding Acer MediaTouch, I would start with the linux (Ubuntu) and we can take it from there.

Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

no longer affects: linux (Ubuntu)
description: updated
summary: - Acer Aspire 5920 series hotkeys problems
+ Acer Aspire 5920 Fn+F2 not mapped
Martin Pitt (pitti) wrote :

> Item 4: Fn+F2 recognition is broken now (recognized as NoSymbol). Info about Fn+F2 in commentary #10 and scancode in #14.

In current Ubuntu 13.10 and 14.04 (trusty) KEYBOARD_KEY_a6=setup is already set on all Acer models, so this should be fixed already. Which Ubuntu release are you on?

Changed in systemd (Ubuntu):
status: New → Incomplete
Martin Pitt (pitti) wrote :

No answer in over a month and I believe this is fixed in current Ubuntu releases.

Changed in systemd (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions